Open CASCADE Technology: TopOpeBRep_VPointInterClassifier Class Reference

Open CASCADE Technology 6.9.1

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
TopOpeBRep_VPointInterClassifier Class Reference

`#include <TopOpeBRep_VPointInterClassifier.hxx>`

## Public Member Functions
| TopOpeBRep_VPointInterClassifier ()
TopAbs_State | VPointPosition (const TopoDS_Shape &F, TopOpeBRep_VPointInter &VP, const Standard_Integer ShapeIndex, TopOpeBRep_PointClassifier &PC, const Standard_Boolean AssumeINON, const Standard_Real Tol)
| compute position of VPoint <VP> regarding with face <F>. <ShapeIndex> (= 1,2) indicates which (u,v) point of <VP> is used. when state is ON, set VP.EdgeON() with the edge containing <VP> and associated parameter. returns state of VP on ShapeIndex. More...
const TopoDS_Shape & | Edge () const
| returns the edge containing the VPoint <VP> used in the last VPointPosition() call. Edge is defined if the state previously computed is ON, else Edge is a null shape. More...
Standard_Real | EdgeParameter () const
| returns the parameter of the VPoint <VP> on Edge() More...

## Constructor & Destructor Documentation

TopOpeBRep_VPointInterClassifier::TopOpeBRep_VPointInterClassifier | ( |  | ) |

## Member Function Documentation

const TopoDS_Shape& TopOpeBRep_VPointInterClassifier::Edge | ( |  | ) | const

returns the edge containing the VPoint <VP> used in the last VPointPosition() call. Edge is defined if the state previously computed is ON, else Edge is a null shape.

Standard_Real TopOpeBRep_VPointInterClassifier::EdgeParameter | ( |  | ) | const

returns the parameter of the VPoint <VP> on Edge()

TopAbs_State TopOpeBRep_VPointInterClassifier::VPointPosition | ( | const TopoDS_Shape & | F,
|  | TopOpeBRep_VPointInter & | VP,
|  | const Standard_Integer | ShapeIndex,
|  | TopOpeBRep_PointClassifier & | PC,
|  | const Standard_Boolean | AssumeINON,
|  | const Standard_Real | Tol
| ) |  |

compute position of VPoint <VP> regarding with face <F>. <ShapeIndex> (= 1,2) indicates which (u,v) point of <VP> is used. when state is ON, set VP.EdgeON() with the edge containing <VP> and associated parameter. returns state of VP on ShapeIndex.

The documentation for this class was generated from the following file:

- TopOpeBRep_VPointInterClassifier.hxx